how can I have multiple environments?

how can I have multiple environments?

Postby lucinos on Sun May 13, 2012 6:24 am

I know that this is possible in principle because I have seen it on a computer with Arch Linux that it had both Xfce and Gnome-shell.
I have installed Linux mint debian edition with Xfce 32bit on an old but not ancient laptop. I also tested today that Mate can also run well (tried the livedvd). I want to install Mate but without disturbing my Xfce. Can anyone give me directions?
lucinos
Level 1
Level 1
 
Posts: 19
Joined: Sun May 13, 2012 6:01 am

Linux Mint is funded by ads and donations.
 

Re: how can I have multiple environments?

Postby corn on Sun May 13, 2012 6:58 am

You can have multiple DEs and choose on login, yes. You only have to install mate-desktop-environment.
corn
Level 1
Level 1
 
Posts: 24
Joined: Sun Dec 25, 2011 7:59 pm

Re: how can I have multiple environments?

Postby lucinos on Sun May 13, 2012 7:05 am

thank you. Besides disk space is there any other drawback?
lucinos
Level 1
Level 1
 
Posts: 19
Joined: Sun May 13, 2012 6:01 am

Re: how can I have multiple environments?

Postby corn on Sun May 13, 2012 7:15 am

I'm not sure if there might be some conflict between the two, let's wait for someone with more experience. :wink: I don't think so though.
corn
Level 1
Level 1
 
Posts: 24
Joined: Sun Dec 25, 2011 7:59 pm

Re: how can I have multiple environments?

Postby lucinos on Sun May 13, 2012 8:50 am

I installed it. It looks that almost I have no problem. Almost...

udate manager says:
You have 1 broken package on your system!

Use the "Broken" filter to locate it.


but I do not know how to do that (I am new to LMDE)

also the window manager was damaged on xfce (no frames for windows) but I repaired that with:
Code: Select all
xfwm4 --replace

other than that everything works fine or so it looks.

also I tried to install Cinnamon but software manager does not do it with no error message (it just do nothing)
lucinos
Level 1
Level 1
 
Posts: 19
Joined: Sun May 13, 2012 6:01 am

Re: how can I have multiple environments?

Postby zerozero on Sun May 13, 2012 11:09 am

it's time for the command line :D software manager just doesn't do it for these tasks.
- first we have to find out that broken package:
open a terminal and post back here the output of:
Code: Select all
apt update && apt dist-upgrade
(use code tags, the output is very long)

Code: Select all
cat /var/log/apt/history.log
(look for the today's history, copy&past that here, that will tell us what you installed and what is missing)

as for cinnamon, later :) let's solve this one first, ok?
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6492
Joined: Tue Jul 07, 2009 2:29 pm

Re: how can I have multiple environments?

Postby lucinos on Sun May 13, 2012 5:06 pm

Code: Select all
$ apt update && apt dist-upgrade
[sudo] password for fanis:
Ign http://packages.linuxmint.com debian InRelease
Hit http://debian.linuxmint.com testing InRelease
Hit http://debian.linuxmint.com testing/updates InRelease
Get:1 http://packages.linuxmint.com debian Release.gpg [197 B]         
Ign http://debian.linuxmint.com testing InRelease
Get:2 http://packages.linuxmint.com debian Release [12.2 kB]
Hit http://debian.linuxmint.com testing/main i386 Packages/DiffIndex
Hit http://debian.linuxmint.com testing/contrib i386 Packages/DiffIndex
Hit http://debian.linuxmint.com testing/non-free i386 Packages/DiffIndex
Ign http://debian.linuxmint.com testing/contrib TranslationIndex
Hit http://debian.linuxmint.com testing/main TranslationIndex
Ign http://debian.linuxmint.com testing/non-free TranslationIndex
Hit http://debian.linuxmint.com testing/updates/main i386 Packages
Hit http://debian.linuxmint.com testing/updates/contrib i386 Packages
Hit http://debian.linuxmint.com testing/updates/non-free i386 Packages
Ign http://debian.linuxmint.com testing/updates/contrib TranslationIndex
Ign http://debian.linuxmint.com testing/updates/main TranslationIndex
Ign http://debian.linuxmint.com testing/updates/non-free TranslationIndex
Hit http://debian.linuxmint.com testing Release.gpg
Get:3 http://packages.linuxmint.com debian/main i386 Packages [13.9 kB]
Hit http://debian.linuxmint.com testing/contrib Translation-en
Hit http://debian.linuxmint.com testing/main Translation-en
Hit http://debian.linuxmint.com testing/non-free Translation-en
Hit http://debian.linuxmint.com testing Release                     
Get:4 http://packages.linuxmint.com debian/upstream i386 Packages [8,659 B]
Get:5 http://packages.linuxmint.com debian/import i386 Packages [55.4 kB]     
Hit http://debian.linuxmint.com testing/main i386 Packages/DiffIndex           
Hit http://debian.linuxmint.com testing/non-free i386 Packages/DiffIndex
Ign http://debian.linuxmint.com testing/main TranslationIndex
Ign http://debian.linuxmint.com testing/non-free TranslationIndex
Ign http://packages.linuxmint.com debian/import TranslationIndex
Ign http://packages.linuxmint.com debian/main TranslationIndex
Ign http://packages.linuxmint.com debian/upstream TranslationIndex
Ign http://debian.linuxmint.com testing/contrib Translation-en_US   
Ign http://debian.linuxmint.com testing/non-free Translation-en_US
Ign http://debian.linuxmint.com testing/updates/contrib Translation-en_US
Ign http://debian.linuxmint.com testing/updates/contrib Translation-en
Ign http://debian.linuxmint.com testing/updates/main Translation-en_US
Ign http://debian.linuxmint.com testing/updates/main Translation-en
Ign http://debian.linuxmint.com testing/updates/non-free Translation-en_US
Ign http://debian.linuxmint.com testing/updates/non-free Translation-en
Ign http://debian.linuxmint.com testing/main Translation-en_US
Ign http://debian.linuxmint.com testing/main Translation-en
Ign http://debian.linuxmint.com testing/non-free Translation-en_US
Ign http://debian.linuxmint.com testing/non-free Translation-en                                                             
Ign http://packages.linuxmint.com debian/import Translation-en_US                                                           
Ign http://packages.linuxmint.com debian/import Translation-en                                                               
Ign http://packages.linuxmint.com debian/main Translation-en_US                                                             
Ign http://packages.linuxmint.com debian/main Translation-en                                                                 
Ign http://packages.linuxmint.com debian/upstream Translation-en_US                                                         
Ign http://packages.linuxmint.com debian/upstream Translation-en                                                             
Fetched 90.3 kB in 8s (11.0 kB/s)                                                                                           
Reading package lists... Done
Reading package lists... Done
Building dependency tree       
Reading state information... Done
You might want to run 'apt-get -f install' to correct these.
The following packages have unmet dependencies:
 mate-core : Depends: mate-control-center but it is not installed
E: Unmet dependencies. Try using -f.


Code: Select all
$ cat /var/log/apt/history.log

Start-Date: 2012-05-06  09:11:30
Commandline: aptdaemon role='role-install-packages' sender=':1.38'
Install: libboost-system1.48.0:i386 (1.48.0-3, automatic), wesnoth-1.10-trow:i386 (1.10.1-1, automatic), wesnoth-1.10-utbs:i386 (1.10.1-1, automatic), libboost-regex1.48.0:i386 (1.48.0-3, automatic), wesnoth:i386 (1.10.1-1), wesnoth-1.10-aoi:i386 (1.10.1-1, automatic), wesnoth-1.10-did:i386 (1.10.1-1, automatic), libboost-program-options1.48.0:i386 (1.48.0-3, automatic), wesnoth-1.10-low:i386 (1.10.1-1, automatic), wesnoth-1.10-sotbe:i386 (1.10.1-1, automatic), wesnoth-1.10-httt:i386 (1.10.1-1, automatic), libsdl-net1.2:i386 (1.2.8-1, automatic), wesnoth-1.10-sof:i386 (1.10.1-1, automatic), wesnoth-1.10-ttb:i386 (1.10.1-1, automatic), wesnoth-1.10-tsg:i386 (1.10.1-1, automatic), libsdl-ttf2.0-0:i386 (2.0.11-2, automatic), libmikmod2:i386 (3.1.12-3, automatic), libsdl-mixer1.2:i386 (1.2.12-1, automatic), wesnoth-1.10:i386 (1.10.1-1, automatic), wesnoth-1.10-data:i386 (1.10.1-1, automatic), wesnoth-1.10-thot:i386 (1.10.1-1, automatic), wesnoth-1.10-music:i386 (1.10.1-1, automatic), wesnoth-1.10-dm:i386 (1.10.1-1, automatic), wesnoth-1.10-ei:i386 (1.10.1-1, automatic), wesnoth-1.10-dw:i386 (1.10.1-1, automatic), wesnoth-1.10-nr:i386 (1.10.1-1, automatic), wesnoth-1.10-l:i386 (1.10.1-1, automatic), wesnoth-1.10-core:i386 (1.10.1-1, automatic)
End-Date: 2012-05-06  09:13:11

Start-Date: 2012-05-06  09:54:20
Commandline: aptdaemon role='role-install-packages' sender=':1.50'
Install: libalut0:i386 (1.1.0-3, automatic), trigger-rally:i386 (0.6.0-1+b2), libtinyxml2.6.2:i386 (2.6.2-1, automatic), libphysfs1:i386 (2.0.2-6, automatic), trigger-rally-data:i386 (0.6.0-1, automatic)
End-Date: 2012-05-06  09:54:44

Start-Date: 2012-05-06  10:09:30
Commandline: aptdaemon role='role-install-packages' sender=':1.58'
Install: simutrans-pak64:i386 (111.0-1, automatic), simutrans-data:i386 (111.0-1, automatic), simutrans:i386 (111.0-1)
End-Date: 2012-05-06  10:09:40

Start-Date: 2012-05-06  10:11:46
Commandline: aptdaemon role='role-install-packages' sender=':1.64'
Install: pipewalker:i386 (0.9.1-1)
End-Date: 2012-05-06  10:11:52

Start-Date: 2012-05-06  13:40:57
Commandline: aptdaemon role='role-install-packages' sender=':1.75'
Install: aisleriot:i386 (3.2.2-1)
End-Date: 2012-05-06  13:41:26

Start-Date: 2012-05-06  16:19:10
Commandline: aptdaemon role='role-install-packages' sender=':1.92'
Install: qdbus:i386 (4.7.4-2, automatic), libqt4-dbus:i386 (4.7.4-2, automatic), skype:i386 (2.2.0.35-1), libqt4-xml:i386 (4.7.4-2, automatic), libqt4-network:i386 (4.7.4-2, automatic)
End-Date: 2012-05-06  16:19:40

Start-Date: 2012-05-08  16:46:47
Commandline: apt-get install gnuplot
Install: gnuplot:i386 (4.4.0-1.1), groff:i386 (1.21-6, automatic), libwxgtk2.8-0:i386 (2.8.12.1-7, automatic), ttf-liberation:i386 (1.07.2-2, automatic), gnuplot-x11:i386 (4.4.0-1.1+b1, automatic), libwxbase2.8-0:i386 (2.8.12.1-7, automatic), gnuplot-nox:i386 (4.4.0-1.1+b1, automatic), fonts-liberation:i386 (1.07.2-2), netpbm:i386 (10.0-15, automatic), libnetpbm10:i386 (10.0-15, automatic)
End-Date: 2012-05-08  16:47:21

Start-Date: 2012-05-09  14:49:47
Commandline: aptdaemon role='role-install-packages' sender=':1.47'
Install: supertuxkart:i386 (0.7+dfsg1-2), libirrlicht1.7a:i386 (1.7.2+dfsg1-1.1, automatic), supertuxkart-data:i386 (0.7+dfsg1-2, automatic), libenet1a:i386 (1.3.3-2, automatic)
End-Date: 2012-05-09  14:50:48

Start-Date: 2012-05-09  15:04:46
Commandline: aptdaemon role='role-install-packages' sender=':1.55'
Install: ri-li:i386 (2.0.1-2), ri-li-data:i386 (2.0.1-2, automatic)
End-Date: 2012-05-09  15:05:11

Start-Date: 2012-05-09  16:40:01
Commandline: /usr/sbin/synaptic --hide-main-window --non-interactive --parent-window-id 58720291 -o Synaptic::closeZvt=true --progress-str Please wait, this can take some time --finish-str Update is complete --set-selections-file /tmp/tmpsBOFka
Upgrade: thunderbird:i386 (11.0-1lmde1, 12.0.1-1lmde1), firefox:i386 (11.0-1lmde1, 12.0), thunderbird-l10n-en-us:i386 (11.0, 12.0.1), firefox-l10n-en-us:i386 (11.0, 12.0)
End-Date: 2012-05-09  16:40:16

Start-Date: 2012-05-09  16:42:50
Commandline: aptdaemon role='role-install-packages' sender=':1.70'
Install: rpm2cpio:i386 (4.9.1.2-1, automatic), librpmbuild2:i386 (4.9.1.2-1, automatic), debhelper:i386 (9.20120115, automatic), intltool-debian:i386 (0.35.0+20060710.1, automatic), exim4-daemon-light:i386 (4.77-1+b1, automatic), git-man:i386 (1.7.9.1-1, automatic), ed:i386 (1.6-1, automatic), librpmio2:i386 (4.9.1.2-1, automatic), librpm2:i386 (4.9.1.2-1, automatic), rpm-common:i386 (4.9.1.2-1, automatic), po-debconf:i386 (1.0.16+nmu2, automatic), ncurses-term:i386 (5.9-4, automatic), liberror-perl:i386 (0.17-1, automatic), autopoint:i386 (0.18.1.1-5, automatic), heirloom-mailx:i386 (12.5-1, automatic), libmail-sendmail-perl:i386 (0.79.16-1, automatic), gettext:i386 (0.18.1.1-5, automatic), googleearth:i386 (6.0.2.2074-r0-1mint2), git:i386 (1.7.9.1-1, automatic), pax:i386 (20120216-2, automatic), rpm:i386 (4.9.1.2-1, automatic), exim4:i386 (4.77-1, automatic), html2text:i386 (1.3.2a-15, automatic), librpmsign0:i386 (4.9.1.2-1, automatic), exim4-base:i386 (4.77-1+b1, automatic), lsb-core:i386 (3.2-28.1, automatic), alien:i386 (8.86, automatic), libsys-hostname-long-perl:i386 (1.4-2, automatic)
End-Date: 2012-05-09  16:43:56

Start-Date: 2012-05-10  17:10:29
Commandline: aptdaemon role='role-install-packages' sender=':1.318'
Install: libsdl-gfx1.2-4:i386 (2.0.23-1, automatic), libsdl-pango1:i386 (0.1.2-6, automatic), frozen-bubble-data:i386 (2.2.0-2, automatic), libsdl-perl:i386 (2.2.5-1+b4, automatic), fb-music-high:i386 (0.1.2, automatic), frozen-bubble:i386 (2.2.0-2+b2), libsmpeg0:i386 (0.4.5+cvs20030824-4, automatic)
End-Date: 2012-05-10  17:11:19

Start-Date: 2012-05-11  14:33:07
Commandline: aptdaemon role='role-install-packages' sender=':1.501'
Install: libkcmutils4:i386 (4.7.4-4, automatic), libclucene0ldbl:i386 (0.9.21b-2+b1, automatic), libqca2:i386 (2.0.3-2, automatic), libqt4-opengl:i386 (4.7.4-2, automatic), libqt4-declarative:i386 (4.7.4-2, automatic), libkdegames5a:i386 (4.7.4-2, automatic), libutempter0:i386 (1.1.5-4, automatic), libkjsembed4:i386 (4.7.4-4, automatic), oxygen-icon-theme:i386 (4.7.4-2, automatic), libqt4-test:i386 (4.7.4-2, automatic), libqt4-sql-mysql:i386 (4.7.4-2, automatic), libkemoticons4:i386 (4.7.4-4, automatic), libkdecore5:i386 (4.7.4-4, automatic), phonon:i386 (4.6.0.0-1, automatic), libkidletime4:i386 (4.7.4-4, automatic), libqt4-qt3support:i386 (4.7.4-2, automatic), libqtwebkit4:i386 (2.2.0-3, automatic), docbook-xsl:i386 (1.76.1+dfsg-1, automatic), shared-desktop-ontologies:i386 (0.9.0-2, automatic), mysql-common:i386 (5.1.61-2, automatic), libdlrestrictions1:i386 (0.14.3, automatic), libntrack-qt4-1:i386 (016-1.1, automatic), kde-runtime-data:i386 (4.7.4-2, automatic), libkatepartinterfaces4:i386 (4.7.4-2, automatic), libsolid4:i386 (4.7.4-4, automatic), virtuoso-minimal:i386 (6.1.3+dfsg1-2, automatic), libkde3support4:i386 (4.7.4-4, automatic), libnepomuk4:i386 (4.7.4-4, automatic), libkdewebkit5:i386 (4.7.4-4, automatic), libqt4-xmlpatterns:i386 (4.7.4-2, automatic), libsoprano4:i386 (2.7.5+dfsg.1-1, automatic), libpolkit-qt-1-1:i386 (0.103.0-1, automatic), libkdnssd4:i386 (4.7.4-4, automatic), libkparts4:i386 (4.7.4-4, automatic), phonon-backend-vlc:i386 (0.5.0-1, automatic), kdelibs5-data:i386 (4.7.4-4, automatic), kdoctools:i386 (4.7.4-4, automatic), libvirtodbc0:i386 (6.1.3+dfsg1-2, automatic), libdbusmenu-qt2:i386 (0.9.0-1, automatic), libqzeitgeist0:i386 (0.7.0-1, automatic), katepart:i386 (4.7.4-2, automatic), libthreadweaver4:i386 (4.7.4-4, automatic), libnepomukutils4:i386 (4.7.4-4, automatic), libkmediaplayer4:i386 (4.7.4-4, automatic), libntrack0:i386 (016-1.1, automatic), libqt4-sql:i386 (4.7.4-2, automatic), libkfile4:i386 (4.7.4-4, automatic), libknewstuff3-4:i386 (4.7.4-4, automatic), libqt4-svg:i386 (4.7.4-2, automatic), libkpty4:i386 (4.7.4-4, automatic), libstreamanalyzer0:i386 (0.7.7-1.1, automatic), libphonon4:i386 (4.6.0.0-1, automatic), libknotifyconfig4:i386 (4.7.4-4, automatic), libkntlm4:i386 (4.7.4-4, automatic), libplasma3:i386 (4.7.4-4, automatic), libqt4-designer:i386 (4.7.4-2, automatic), libmysqlclient16:i386 (5.1.61-2, automatic), kdelibs-bin:i386 (4.7.4-4, automatic), libktexteditor4:i386 (4.7.4-4, automatic), libattica0:i386 (0.2.0-1, automatic), kde-runtime:i386 (4.7.4-2, automatic), libkio5:i386 (4.7.4-4, automatic), libkjsapi4:i386 (4.7.4-4, automatic), libstreams0:i386 (0.7.7-1.1, automatic), virtuoso-opensource-6.1-common:i386 (6.1.3+dfsg1-2, automatic), libqt4-script:i386 (4.7.4-2, automatic), plasma-scriptengine-javascript:i386 (4.7.4-2, automatic), libssh-4:i386 (0.5.2-1, automatic), soprano-daemon:i386 (2.7.5+dfsg.1-1, automatic), libiodbc2:i386 (3.52.7-2, automatic), libkhtml5:i386 (4.7.4-4, automatic), konquest:i386 (4.7.4-2), libkdeui5:i386 (4.7.4-4, automatic), libkdesu5:i386 (4.7.4-4, automatic), kdelibs5-plugins:i386 (4.7.4-4, automatic), virtuoso-opensource-6.1-bin:i386 (6.1.3+dfsg1-2, automatic), kate-data:i386 (4.7.4-2, automatic), ntrack-module-libnl-0:i386 (016-1.1, automatic), libkrosscore4:i386 (4.7.4-4, automatic), libnepomukquery4a:i386 (4.7.4-4, automatic)
End-Date: 2012-05-11  14:43:29

Start-Date: 2012-05-11  17:14:35
Commandline: aptdaemon role='role-install-packages' sender=':1.557'
Install: xmoto-data:i386 (0.5.5-1, automatic), libxdg-basedir1:i386 (1.1.1-2, automatic), xmoto:i386 (0.5.5-1), libode1:i386 (0.11.1-4, automatic)
End-Date: 2012-05-11  17:15:09

Start-Date: 2012-05-11  18:53:38
Commandline: /usr/sbin/synaptic
Install: desktop-base:i386 (6.0.7, automatic), gnome-power-manager:i386 (3.2.1-2, automatic), gdm3:i386 (3.0.4-4, automatic), xserver-xephyr:i386 (1.11.4-1, automatic), xfswitch-plugin:i386 (0.0.1-3)
Error: Sub-process /usr/bin/dpkg returned an error code (1)
End-Date: 2012-05-11  18:54:19

Start-Date: 2012-05-11  19:24:47
Commandline: /usr/sbin/synaptic
Install: gdm3:i386 (3.0.4-4, automatic)
Reinstall: xfswitch-plugin:i386 (0.0.1-3)
Error: Sub-process /usr/bin/dpkg returned an error code (1)
End-Date: 2012-05-11  19:25:05

Start-Date: 2012-05-11  19:25:37
Commandline: /usr/sbin/synaptic
Install: gdm3:i386 (3.0.4-4)
Remove: xfswitch-plugin:i386 (0.0.1-3)
Error: Sub-process /usr/bin/dpkg returned an error code (1)
End-Date: 2012-05-11  19:25:51

Start-Date: 2012-05-13  14:38:27
Commandline: aptdaemon role='role-install-packages' sender=':1.38'
Install: mate-vfs-common:i386 (1.2.0-1, automatic), libgladeui-1-9:i386 (3.6.7-2+b1, automatic), mate-applets-common:i386 (1.2.0-1, automatic), marco-common:i386 (1.2.0-1, automatic), mate-window-manager:i386 (1.2.0-1, automatic), mate-settings-daemon-gstreamer:i386 (1.2.0-1, automatic), mate-corba:i386 (1.2.1-1, automatic), mate-panel:i386 (1.2.1-1, automatic), mate-terminal-common:i386 (1.2.0-1, automatic), mate-desktop-environment:i386 (1.2.1), eom-common:i386 (1.2.0-1, automatic), libmatecomponent:i386 (1.2.0-1~mate, automatic), engrampa-common:i386 (1.2.0-1, automatic), mate-system-tools:i386 (1.2.0-1, automatic), mate-icon-theme:i386 (1.2.0-1, automatic), libmateweather:i386 (1.2.0-1, automatic), mate-dialogs:i386 (1.2.0-1, automatic), python-mate:i386 (1.2.0-2, automatic), libmatemenu:i386 (1.2.0-1, automatic), mozo:i386 (1.2.0-1, automatic), mate-text-editor:i386 (1.2.0-1, automatic), mate-settings-daemon-common:i386 (1.2.0-1, automatic), mate-sensors-applet:i386 (1.2.0-1, automatic), mate-terminal:i386 (1.2.0-1, automatic), mate-media:i386 (1.2.0-1, automatic), libmatepolkit:i386 (1.2.0-2, automatic), mate-backgrounds:i386 (1.2.0-1, automatic), libmatepanelapplet:i386 (1.2.1-1, automatic), libmarco:i386 (1.2.0-1, automatic), libmate-common:i386 (1.2.0-1, automatic), ffmpegthumbnailer-caja:i386 (1.2.0-1, automatic), atril-common:i386 (1.2.0-1, automatic), mate-vfs:i386 (1.2.0-1, automatic), caja:i386 (1.2.0-1, automatic), mate-mime-data:i386 (1.2.0-1~mate, automatic), mate-system-monitor:i386 (1.2.0-1, automatic), mate-power-manager:i386 (1.2.1-1, automatic), mate-panel-common:i386 (1.2.1-1, automatic), mate-menus:i386 (1.2.0-1, automatic), mate-polkit:i386 (1.2.0-2, automatic), libmatedesktop:i386 (1.2.0-0, automatic), mate-power-manager-common:i386 (1.2.1-1, automatic), atril:i386 (1.2.0-1, automatic), mate-desktop-common:i386 (1.2.0-0, automatic), eom:i386 (1.2.0-1, automatic), mate-desktop:i386 (1.2.0-0, automatic), mate-applets:i386 (1.2.0-1, automatic), engrampa:i386 (1.2.0-1, automatic), mate-conf-common:i386 (1.2.1-0, automatic), mate-calc:i386 (1.2.0-1, automatic), mate-settings-daemon:i386 (1.2.0-1, automatic), mate-utils:i386 (1.2.0-1, automatic), mate-control-center:i386 (1.2.0-1, automatic), caja-common:i386 (1.2.0-1, automatic), libcaja-extension:i386 (1.2.0-1, automatic), mate-netspeed:i386 (1.2.0-1, automatic), libmatekeyring:i386 (1.2.0-1, automatic), libmateui:i386 (1.2.0-1, automatic), libmateweather-common:i386 (1.2.0-1, automatic), libmatekbd:i386 (1.2.0-1, automatic), mate-keyring:i386 (1.2.1-1, automatic), mate-conf:i386 (1.2.1-0, automatic), libffmpegthumbnailer4:i386 (2.0.7-2, automatic), mate-core:i386 (1.2.1, automatic), python-corba:i386 (1.2.0-1, automatic), libmate:i386 (1.2.0-1, automatic), libmatecomponentui:i386 (1.2.0-1, automatic), python-mate-menu:i386 (1.2.0-1, automatic), libatril:i386 (1.2.0-1, automatic), ffmpegthumbnailer:i386 (2.0.7-2, automatic), mate-session-manager:i386 (1.2.0-1, automatic), mate-themes:i386 (1.2.0-1, automatic), libmatevfs:i386 (1.2.0-1, automatic), marco:i386 (1.2.0-1, automatic), libmatesensorsappletplugin:i386 (1.2.0-1, automatic), libmatecanvas:i386 (1.2.0-1, automatic), mate-screensaver:i386 (1.2.0-1, automatic)
Error: Sub-process /usr/bin/dpkg returned an error code (1)
End-Date: 2012-05-13  14:39:56
lucinos
Level 1
Level 1
 
Posts: 19
Joined: Sun May 13, 2012 6:01 am

Re: how can I have multiple environments?

Postby zerozero on Sun May 13, 2012 5:15 pm

try
Code: Select all
apt install mate-control-center mate-core
give us the output
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6492
Joined: Tue Jul 07, 2009 2:29 pm

Re: how can I have multiple environments?

Postby lucinos on Sun May 13, 2012 5:49 pm

Code: Select all
fanis@aldebaran ~ $ apt install mate-control-center mate-core
[sudo] password for fanis:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
mate-core is already the newest version.
The following NEW packages will be installed:
  mate-control-center
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
2 not fully installed or removed.
Need to get 0 B/2,749 kB of archives.
After this operation, 9,400 kB of additional disk space will be used.
Do you want to continue [Y/n]? y
(Reading database ... 209602 files and directories currently installed.)
Unpacking mate-control-center (from .../mate-control-center_1.2.0-1_i386.deb) ...
dpkg: error processing /var/cache/apt/archives/mate-control-center_1.2.0-1_i386.deb (--unpack):
 trying to overwrite '/usr/share/applications/at-properties.desktop', which is also in package capplets-data 1:2.30.1-3
configured to not write apport reports
                                      dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Processing triggers for shared-mime-info ...
Unknown media type in type 'all/all'
Unknown media type in type 'all/allfiles'
Unknown media type in type 'uri/mms'
Unknown media type in type 'uri/mmst'
Unknown media type in type 'uri/mmsu'
Unknown media type in type 'uri/pnm'
Unknown media type in type 'uri/rtspt'
Unknown media type in type 'uri/rtspu'
Unknown media type in type 'interface/x-winamp-skin'
Processing triggers for mate-conf ...
Processing triggers for desktop-file-utils ...
Processing triggers for gnome-menus ...
Errors were encountered while processing:
 /var/cache/apt/archives/mate-control-center_1.2.0-1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
lucinos
Level 1
Level 1
 
Posts: 19
Joined: Sun May 13, 2012 6:01 am

Re: how can I have multiple environments?

Postby zerozero on Sun May 13, 2012 6:20 pm

ok, lucinos, i don't like to do this, because this force-overwrite option shouldn't be used in situations like this one:
you have here a conflict:
trying to overwrite '/usr/share/applications/at-properties.desktop', which is also in package capplets-data 1:2.30.1-3
dpkg: error processing /var/cache/apt/archives/mate-control-center_1.2.0-1_i386.deb (--unpack):

but i think you are stuck if you don't do it, so:
Code: Select all
sudo dpkg -i --force-overwrite /var/cache/apt/archives/mate-control-center_1.2.0-1_i386.deb

after this you can again try
Code: Select all
apt dist-upgrade

and for now it's it (let's see if we pull this part out) :wink:
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6492
Joined: Tue Jul 07, 2009 2:29 pm

Re: how can I have multiple environments?

Postby lucinos on Sun May 13, 2012 6:53 pm

good news everyone! It worked, I think, at least there is no broken package now.

Code: Select all
fanis@aldebaran ~ $ sudo dpkg -i --force-overwrite /var/cache/apt/archives/mate-control-center_1.2.0-1_i386.deb
[sudo] password for fanis:
(Reading database ... 209602 files and directories currently installed.)
Unpacking mate-control-center (from .../mate-control-center_1.2.0-1_i386.deb) ...
dpkg: warning: overriding problem because --force enabled:
 trying to overwrite '/usr/share/applications/at-properties.desktop', which is also in package capplets-data 1:2.30.1-3
dpkg: warning: overriding problem because --force enabled:
 trying to overwrite '/usr/share/applications/keyboard.desktop', which is also in package capplets-data 1:2.30.1-3
dpkg: warning: overriding problem because --force enabled:
 trying to overwrite '/usr/share/applications/display-properties.desktop', which is also in package capplets-data 1:2.30.1-3
dpkg: warning: overriding problem because --force enabled:
 trying to overwrite '/usr/share/applications/window-properties.desktop', which is also in package capplets-data 1:2.30.1-3
dpkg: warning: overriding problem because --force enabled:
 trying to overwrite '/usr/share/applications/default-applications.desktop', which is also in package capplets-data 1:2.30.1-3
dpkg: warning: overriding problem because --force enabled:
 trying to overwrite '/usr/share/icons/hicolor/scalable/apps/typing-monitor.svg', which is also in package capplets-data 1:2.30.1-3
dpkg: warning: overriding problem because --force enabled:
 trying to overwrite '/usr/share/icons/hicolor/48x48/apps/typing-monitor.png', which is also in package capplets-data 1:2.30.1-3
Setting up mate-control-center (1.2.0-1) ...
Processing triggers for shared-mime-info ...
Unknown media type in type 'all/all'
Unknown media type in type 'all/allfiles'
Unknown media type in type 'uri/mms'
Unknown media type in type 'uri/mmst'
Unknown media type in type 'uri/mmsu'
Unknown media type in type 'uri/pnm'
Unknown media type in type 'uri/rtspt'
Unknown media type in type 'uri/rtspu'
Unknown media type in type 'interface/x-winamp-skin'
Processing triggers for mate-conf ...
Processing triggers for desktop-file-utils ...
Processing triggers for gnome-menus ...
Processing triggers for hicolor-icon-theme ...
fanis@aldebaran ~ $ apt dist-upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
2 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue [Y/n]? y
Setting up mate-core (1.2.1) ...
Setting up mate-desktop-environment (1.2.1) ...


I think I will not try Cinnamon. It probably is too much for this old laptop.
lucinos
Level 1
Level 1
 
Posts: 19
Joined: Sun May 13, 2012 6:01 am

Re: how can I have multiple environments?

Postby zerozero on Sun May 13, 2012 7:17 pm

8) uuf :D finally, i was running out of ideas.
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6492
Joined: Tue Jul 07, 2009 2:29 pm

Re: how can I have multiple environments?

Postby Daan on Sun Jul 15, 2012 11:28 am

Thanks, this solved my 'broken dependencies' issue after installing mate in Mint Debian Xfce 64 bits.
OS's I have used: Debian testing/stable, Ubuntu, Mint Debian, OpenSuse, Windoze
Daan
Level 1
Level 1
 
Posts: 21
Joined: Sun Jul 15, 2012 11:21 am
Location: The Netherlands

Linux Mint is funded by ads and donations.
 

Return to Others

Who is online

Users browsing this forum: No registered users and 0 guests